<?php
/*
Extension Name: Remove Sticky Discussions
Extension Url: http://lussumo.com/addons/
Description: Removes Sticky Discussions from index page but shows them when you are viewing the Category. (Fixed edition of David extension).
Version: 1.0.2
Author: Jim Wurster (Fixed by S)
Author Url: http://www.jwurster.us/
*/

if(!defined('IN_VANILLA')) die();
if(ForceIncomingInt('CategoryID', 0) > 0 || $Context->SelfUrl == 'comments.php') return;

$Configuration['CATEGORY_TO_SHOW'] = '';
//$Configuration['CATEGORY_TO_SHOW'] = '6,3'; // exclude this categories

$Context->AddToDelegate('DiscussionManager', 'PostGetDiscussionBuilder', 'Sticky_HideFromDiscussions');

function Sticky_HideFromDiscussions(&$DM){
	$SqlBuilder =& $DM->DelegateParameters['SqlBuilder'];
    $Categories = $DM->Context->Configuration['CATEGORY_TO_SHOW'];
	$SqlBuilder->AddWhere('t', 'Sticky', '', 0, '=', 'and', '', True, (bool)$Categories);
	if($Categories){
        $SqlBuilder->AddWhere('t', 'CategoryID', '', sprintf('IN(%s)', $Categories), '', 'or', '', False);
        $SqlBuilder->EndWhereGroup();
    }
}
?>